# Uses of Class
org.eclipse.jdt.core.dom.ASTRequestor

Packages that use ASTRequestor
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of ASTRequestor in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom with parameters of type ASTRequestor
Modifier and Type
Method
Description
`void`
ASTParser.`createASTs(ICompilationUnit[] compilationUnits, String[] bindingKeys, ASTRequestor requestor, org.eclipse.core.runtime.IProgressMonitor monitor)`
Creates ASTs for a batch of compilation units.